# Generated by Django 5.2.4 on 2025-07-14 10:06

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('data', '0004_rename_foreign_keys'),
    ]

    operations = [
        migrations.AddField(
            model_name='checklist',
            name='country',
            field=models.ForeignKey(help_text='The country where the checklist was made.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='checklists', to='data.country', verbose_name='country'),
        ),
        migrations.AddField(
            model_name='checklist',
            name='county',
            field=models.ForeignKey(blank=True, help_text='The county where the checklist was made.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='checklists', to='data.county', verbose_name='county'),
        ),
        migrations.AddField(
            model_name='checklist',
            name='location',
            field=models.ForeignKey(help_text='The location where checklist was made.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='checklists', to='data.location', verbose_name='location'),
        ),
        migrations.AddField(
            model_name='checklist',
            name='observer',
            field=models.ForeignKey(help_text='The person who submitted the checklist.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='checklists', to='data.observer', verbose_name='observer'),
        ),
        migrations.AddField(
            model_name='checklist',
            name='state',
            field=models.ForeignKey(help_text='The state where the checklist was made.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='checklists', to='data.state', verbose_name='state'),
        ),
        migrations.AddField(
            model_name='filter',
            name='location',
            field=models.ForeignKey(blank=True, help_text='The location used to find matching Observations.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='filtered_on', to='data.location', verbose_name='location'),
        ),
        migrations.AddField(
            model_name='filter',
            name='species',
            field=models.ForeignKey(help_text='The species used to find matching Observations.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='filtered_on', to='data.species', verbose_name='species'),
        ),
        migrations.AddField(
            model_name='filter',
            name='update_species',
            field=models.ForeignKey(help_text='Matching Observations are updated to this species.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='filtered_by', to='data.species', verbose_name='update species'),
        ),
        migrations.AddField(
            model_name='location',
            name='country',
            field=models.ForeignKey(help_text='The country for the location.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='locations', to='data.country', verbose_name='country'),
        ),
        migrations.AddField(
            model_name='location',
            name='county',
            field=models.ForeignKey(blank=True, help_text='The county for the location.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='locations', to='data.county', verbose_name='county'),
        ),
        migrations.AddField(
            model_name='location',
            name='state',
            field=models.ForeignKey(help_text='The state for the location.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='locations', to='data.state', verbose_name='state'),
        ),
        migrations.AddField(
            model_name='observation',
            name='checklist',
            field=models.ForeignKey(help_text='The checklist this observation belongs to.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='observations', to='data.checklist', verbose_name='checklist'),
        ),
        migrations.AddField(
            model_name='observation',
            name='country',
            field=models.ForeignKey(help_text='The country where the observation was made.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='observations', to='data.country', verbose_name='country'),
        ),
        migrations.AddField(
            model_name='observation',
            name='county',
            field=models.ForeignKey(blank=True, help_text='The county where the observation was made.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='observations', to='data.county', verbose_name='county'),
        ),
        migrations.AddField(
            model_name='observation',
            name='location',
            field=models.ForeignKey(help_text='The location where the observation was made.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='observations', to='data.location', verbose_name='location'),
        ),
        migrations.AddField(
            model_name='observation',
            name='observer',
            field=models.ForeignKey(help_text='The person who made the observation.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='observations', to='data.observer', verbose_name='observer'),
        ),
        migrations.AddField(
            model_name='observation',
            name='species',
            field=models.ForeignKey(help_text='The identified species.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='observations', to='data.species', verbose_name='species'),
        ),
        migrations.AddField(
            model_name='observation',
            name='state',
            field=models.ForeignKey(help_text='The state where the observation was made.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='observations', to='data.state', verbose_name='state'),
        ),
    ]
